# VecGhostRestoreLocalForm

Restores the local ghosted representation of a parallel vector obtained with VecGhostGetLocalForm().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecGhostRestoreLocalForm(Vec g,Vec *l)

Not Collective

### Input Parameter

| g | - the global vector
| l | - the local (ghosted) representation

### Notes

This routine does not actually update the ghost values, but rather it returns a sequential vector that includes the locations for the ghost values and their current values.

### See Also

VecCreateGhost(), VecGhostGetLocalForm(), VecCreateGhostWithArray()

Level:advanced
Location: src/vec/vec/impls/mpi/pbvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html